"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class BabyOralIntakeQuestions(ProtocolElement):
    """
    Time between oral intake and sample collection (to establish
    contamination levels and lead to understanding optimum collection
    time).
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "neverBeenFed",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_6 import participant as participant_1_5_0

        return {
            "babyIntake": participant_1_5_0.BabyIntake,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_6 import participant as participant_1_5_0

        return {
            "org.gel.models.participant.avro.BabyIntake": participant_1_5_0.BabyIntake,
            "org.gel.models.participant.avro.BabyOralIntakeQuestions": participant_1_5_0.BabyOralIntakeQuestions,
        }

    __slots__ = [
        "neverBeenFed",
        "babyIntake",
        "minutesSinceOralIntake",
    ]

    def __init__(
        self,
        neverBeenFed,
        babyIntake=None,
        minutesSinceOralIntake=None,
        validate=None,
        **kwargs
    ):
        """Initialise the participant_1_5_0.BabyOralIntakeQuestions model.

        :param neverBeenFed:
            Has the baby been fed or taken medication before sample was collected.
        :type neverBeenFed: boolean
        :param babyIntake:
            Type of last intake (feed or medication). NOTE: Only fill in if baby
            was fed before sample collection.
        :type babyIntake: None | BabyIntake
        :param minutesSinceOralIntake:
            Time since last oral intake (feed or medication) in minutes. NOTE:
            Only fill in if baby was fed before sample collection.
        :type minutesSinceOralIntake: None | int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.5.0"
